# Package org.apache.cassandra.io.compress

- Interface Summary
  Interface | Description
  --- | ---
  ICompressor |

- Class Summary
  Class | Description
  --- | ---
  CompressedRandomAccessReader | CRAR extends RAR to transparently uncompress blocks from the file into RAR.buffer.
  CompressedSequentialWriter |
  CompressedSequentialWriter.CompressedFileWriterMark | Class to hold a mark to the position of the file
  CompressedThrottledReader |
  CompressionMetadata | Holds metadata about compressed file
  CompressionMetadata.Chunk | Holds offset and length of the file chunk
  CompressionMetadata.Writer |
  CompressionParameters |
  DeflateCompressor |
  LZ4Compressor |
  SnappyCompressor |

- Enum Summary
  Enum | Description
  --- | ---
  BufferType |

- Exception Summary
  Exception | Description
  --- | ---
  CorruptBlockException |

Copyright © 2018 The Apache Software Foundation